#pragma once

#include <Core/DifficultLvlStrategy.h>

#include <random>

class Ship;

class EnemyHardDifficultLvlStrategy : public DifficultLvlStrategy<Ship, int> {
public:
    EnemyHardDifficultLvlStrategy();
    int handle(Ship& ship) const override;

private:
    static std::random_device _rd;
    mutable std::mt19937 _seed;
};
